Bug 309504 - Text tool has functionality that Krita doesn't need/have
Summary: Text tool has functionality that Krita doesn't need/have
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools (show other bugs)
Version: git master (please specify the git hash!)
Platform: unspecified Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-04 01:18 UTC by Sven Langkamp
Modified: 2013-01-14 03:30 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Langkamp 2012-11-04 01:18:56 UTC
The text tool has some functions that are not needed in Krita e.g. a button to insert page breaks that does nothing.

Reproducible: Always
Comment 1 Sven Langkamp 2013-01-09 16:19:16 UTC
Git commit 5d2f895413d6a64ce6f10675e6a95e2b8e78bf15 by Sven Langkamp.
Committed on 09/01/2013 at 17:17.
Pushed by langkamp into branch 'master'.

Turn off table and other text features in Krita
REVIEW:108298

M  +2    -0    krita/ui/kis_canvas_resource_provider.cpp
M  +1    -0    libs/flake/KoCanvasResourceManager.cpp
M  +6    -0    libs/flake/KoCanvasResourceManager.h
M  +110  -95   plugins/textshape/TextTool.cpp

http://commits.kde.org/calligra/5d2f895413d6a64ce6f10675e6a95e2b8e78bf15
Comment 2 Inge Wallin 2013-01-14 03:30:58 UTC
Git commit de8eba33be5879c37e137b2b6106c2a14aa58624 by Inge Wallin, on behalf of Sven Langkamp.
Committed on 09/01/2013 at 17:17.
Pushed by ingwa into branch 'text-annotations-ingwa'.

Turn off table and other text features in Krita
REVIEW:108298

M  +2    -0    krita/ui/kis_canvas_resource_provider.cpp
M  +1    -0    libs/flake/KoCanvasResourceManager.cpp
M  +6    -0    libs/flake/KoCanvasResourceManager.h
M  +110  -95   plugins/textshape/TextTool.cpp

http://commits.kde.org/calligra/de8eba33be5879c37e137b2b6106c2a14aa58624